# MORSy defines


CC  = gcc
AR  = ar rc 
RANLIB = ranlib
RM  = rm -f
MD = mkdir -p
RMD = rm -rf
CP  = cp
MV  = mv
LIBEXT  = .a
LIBPREF = lib

OUTC    = -o
CFLAGS   = -O3

ifeq ($(CC), icc)
  CFLAGS += -qopenmp
else
  CFLAGS += -fopenmp
endif

ifdef MORSY_USE_MKL
 CFLAGS += -DMORSY_USE_MKL
endif

ifeq ($(CC), icc)
  ifdef MORSY_USE_MKL
    CFLAGS += -mkl=sequential
  endif
endif

OPTC = $(CFLAGS)
LD_FLAGS = 

