/*
* Copyright (C) 2015 University of Nizhni Novgorod
* This file is part of the PMORSy ordering library, v 1.2.0
* 
* morsy_NDBasic.h - automatic nested dissection by A. George
* 
* This file may be used under the terms of the GNU Lesser General Public 
* License version 2.1 as published by the Free Software Foundation 
* and appearing in the file LICENSE.LGPL included in the packaging of this 
* file. Please review the following information to ensure the GNU Lesser 
* General Public License version 2.1 requirements will be met: 
* http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
*/

#ifndef __PMORSY_ND_BASIC_H__
#define __PMORSY_ND_BASIC_H__

#include "morsy_types.h"
#include "morsy_routines.h"


void BasicNestedDissectionProcedure(int* GraphXadj, int* GraphAdjncy, 
                                    int n, int* Separators);

#endif