NO_MKL = YES

#NO_MKL = NO

CC  = gcc
AR  = ar rc 
RANLIB = ranlib
RM  = rm -f
CP  = cp
MV  = mv
LIBEXT  = .a
LIBPREF = lib

OUTC    = -o
OUTF    = -o 

CFLAGS   = -O3 
OPTF = $(CFLAGS)
OPTC = $(CFLAGS)
LD_FLAGS = 

ifeq ($(CC), icc)
   CFLAGS += -openmp
else
  ifeq ($(CC), gcc)
   CFLAGS += -fopenmp
  endif
endif


ifeq ($(NO_MKL), YES)
 CFLAGS += -DNO_MKL
else
  ifeq ($(CC), icc)
   CFLAGS += -mkl=sequential
  endif
endif
